Skip to content
GAMPEONCreate
New project

Disconnect a connected account

DELETE
/v1/me/identities/{provider}
curl --request DELETE \
--url https://api.gampeon.com/v1/me/identities/steam \
--header 'Authorization: Bearer <token>'

Refused with 409 last_login_method if it is the only way to log in (no password and no other connected account).

Not available with access tokens.

provider
required

Sign-in provider

string
Allowed values: steam discord

Sign-in provider: steam or discord

Disconnected

Error codes: unauthorized

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: token_not_allowed

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: not_found

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Error codes: last_login_method

Media typeapplication/json
object
error
required

Machine-readable error code, for example not_found or rate_limited.

string
message

Human-readable detail. Only present for some errors.

string

Example generated

{
"error": "example",
"message": "example"
}

Report a problem with this pageOther ways to give feedback